.window{
    border-radius: 10px;
    border-color: #ff7490;
    border-width: 10px;
    border-style: solid;
    background-color: white;
    /* max-width: 75vw;
    margin-left: 25px;
    margin-right: 25px; */
}

.window img{
    width: 100%;
}

.window h3{
    background-color: #ff7490;
    margin: 0;
    padding: 0.5vw;
    white-space: nowrap;
}

#header .windowset1{
    height: 63%;
    width: 70%;
}

.windowset1{
    display: flex;
    justify-content: space-between;
    width: 80%;
    padding-top: 50px;
    padding-bottom: 50px;
    position: relative;
    margin-left: 50px;
}

.windowset1 .window:nth-child(1){
    height: fit-content;
    align-self: flex-start;
}

.windowset1 .window:nth-child(2){
    width: fit-content;
    height: fit-content;
    max-width: 300px;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-self: flex-end;
}

.windowset1 .window:nth-child(2) .window-content{
    overflow: hidden;
}



.windowset1 .textcolums{
    display: flex;
    width: 328px;
    position: relative;
}

.windowset1 .textcolums p:nth-child(2){
    text-align: end;
    position: absolute;
    right: 0;
}

/* Windowset2 + links */

.windowset2{
    display: flex;
    justify-content: center;
    padding-top: 50px;
    padding-bottom: 50px;
}

.socials-content{
    max-height: 50vh;
}

.link img{
    width: 18vw;
    min-width: 50px;
    max-width: 140px;
    height: auto;
    margin: 10px 10px 0 10px;
}
.link a{
    display: flex;
    flex-direction: column-reverse;
    align-items: center;

}
.link p{
    text-align: center;
    display: block;
    
}
.links{
    display: flex;
    flex-direction: column;
}
.links-row{
    display: flex;
    justify-content: space-between;
}

.intro-content{
    max-width: 650px;
}
.intro-content p{
    padding: 20px;
    
}

/* Windowset3 */

.windowset3{
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin-left: 25px;
    width: 90%;
    padding-top: 50px;
    padding-bottom: 50px;
}

.windowset3 .window:nth-child(1){
    height: fit-content;
    width: 68vw;
}

.windowset3 .window:nth-child(2){
    margin-top: 50px;
    width: fit-content;
    height: fit-content;
    margin-left: 200px;
}

.windowset3 .window:nth-child(2) img{
    width: 36vw;
}


.windowset3 .window:nth-child(2) .window-content{
    display: flex;
    flex-direction: column;
}

.windowset3 .window:nth-child(2) .window-content p{
    font-size: 10px;
}

.window-content {
    padding: 10px;
}

/* windowset 4 / dressupgame */
/* TODO: bug where alignment isnt quite right? idk man */

.windowset4{
    display: flex;
    justify-content: center;
    margin-left: 25px;
    width: 90%;
    padding-top: 50px;
    padding-bottom: 50px;
    padding-left: 20px;
}

.windowset4 .window{
    width: 100%;
}

.windowset4 .window .window-content{
    display: flex;
    flex-direction: column-reverse;
}

.windowset4 .dressupdoll{
    background-color: blue;
    width: 100%;
}

.windowset4 .dressupdoll img{
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.windowset4 .clothes img{
    background-color: brown;
    height: 100%;
    width: 100%;
}

.windowset4 .clothes{
    width: 100%;
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    grid-template-rows: 1fr;
    grid-column-gap: 0px;
    grid-row-gap: 0px; 
}


.windowset4 .clothesitem:nth-child(1){
    grid-area: 1 / 1 / 2 / 2;
}
.windowset4 .clothesitem:nth-child(2){
    grid-area: 1 / 2 / 2 / 3;
}
.windowset4 .clothesitem:nth-child(3){
    grid-area: 1 / 3 / 2 / 4;
}
.windowset4 .clothesitem:nth-child(4){
    grid-area: 1 / 4 / 2 / 5;
}
.windowset4 .clothesitem:nth-child(5){
    grid-area: 1 / 5 / 2 / 6;
}
.windowset4 .clothesitem:nth-child(6){
    grid-area: 1 / 6 / 2 / 7;
}

/* windowset 5 / aboutme */

.windowset5{
    display: flex;
    justify-content: center;
}

.windowset5 .window{
    width: fit-content;
    height: fit-content;
}

.windowset5 .window:nth-child(1) {
    margin-top: 100px;
}

.windowset5 .window:nth-child(2) {
    margin-top: 200px;
    margin-left: 100px;
}

.windowset5 .window:nth-child(3) {
    margin-top: 100px;
    margin-left: 200px;
}

.aboutimage img{
    width: 400px;
}


@media only screen and (min-width: 920px) {
    .window{
        max-width: 60vw;
    }
    .windowset1{
        flex-direction: row;
        margin-left: 20%;
        width: 70%;
    }

    .windowset1 .window:nth-child(1){
        min-width: 20vw;
        max-width: 35vw;
    }

    .windowset1 .window:nth-child(2){
        max-width: 400px;
        max-height: 550px;
    }


    /* Windowset2 + links */

    .windowset2{
        display: flex;
        justify-content: center;
        padding-top: 50px;
        padding-bottom: 50px;
    }

    .link img{
        width: 5vw;
        max-width: 80px;
    }

    .links{
        flex-direction: row;
    }

    /* Windowset3 */

    .windowset3{
        flex-direction: row;
        margin-left: 300px;
        width: 70%;
    }

    .windowset3 .window:nth-child(1){
        width: 50vw;
    }

    .windowset3 .window:nth-child(2) img{
        width: 20vw;
    }

    /* windowset 4 / dressupgame */
    /* TODO: bug where alignment isnt quite right? idk man */


    .windowset4 .window .window-content{
        flex-direction: row;
    }

    .windowset4 .dressupdoll{
        width: 40%;
    }

    .windowset4 .clothes{
        width: 60%;
        grid-template-columns: repeat(3, 1fr);
        grid-template-rows: repeat(2, 1fr);
    }


    .windowset4 .clothesitem:nth-child(1){
        grid-area: 1 / 1 / 2 / 2;
    }
    .windowset4 .clothesitem:nth-child(2){
        grid-area: 1 / 2 / 2 / 3;
    }
    .windowset4 .clothesitem:nth-child(3){
        grid-area: 1 / 3 / 2 / 4;
    }
    .windowset4 .clothesitem:nth-child(4){
        grid-area: 2 / 1 / 3 / 2;
    }
    .windowset4 .clothesitem:nth-child(5){
        grid-area: 2 / 2 / 3 / 3;
    }
    .windowset4 .clothesitem:nth-child(6){
        grid-area: 2 / 3 / 3 / 4;
    }

}